## galapi
Class Atomic

    java.lang.Object
      galapi.Item
          galapi.Atomic

Direct Known Subclasses:
  xsAnyURI, xsBoolean, xsDecimal, xsDouble, xsFloat, xsInt, xsInteger, xsQName, xsString

public class Atomic
extends Item

An `Atomic` value is one of the nineteen XML Schema data types plus the XQuery type [xdt:untypedAtomic].

Field Summary

Fields inherited from class galapi.Item
`item`

Constructor Summary
`protected` `Atomic()`
`protected` `Atomic(int native_item)`

Methods inherited from class galapi.Item
`finalize, getAtomic, getAttribute, getElement, getNativeItem, getNode, itemKind, nativeAtomicValue, nativeAttribute, nativeElement, nativeFree, nativeItemKind, nativeNode, nativeString, setItem, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Atomic

    protected Atomic()

### Atomic

    protected Atomic(int native_item)